Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 845)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 846)
@@ -8,6 +8,7 @@
 import java.util.List;
 import java.util.Map;
 
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -181,8 +182,9 @@
 	
 	@Override
 	public boolean saveParameters() {
-		// TODO Auto-generated method stub
-		System.err.println("LexicalTable.saveParameters(): not yet implemented.");
+		if(this.property != null)	{
+			this.saveParameter(TBXPreferences.UNIT_PROPERTY, this.property.getName());
+		}
 		return true;
 	}
 
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 845)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 846)
@@ -19,27 +19,10 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(LexicalTablePreferences.class).getSymbolicName();
 
-	public static final String PREFERENCES_PREFIX = "lexical_table_"; //$NON-NLS-1$
-
 	/**
-	 * Minimum occurrence frequency to display in table.
-	 */
-	public static final String F_MIN = PREFERENCES_PREFIX + "f_min"; //$NON-NLS-1$
-	
-	/**
-	 * Maximum number of lines to display in table.
-	 */
-	public static final String V_MAX = PREFERENCES_PREFIX + "v_max"; //$NON-NLS-1$
-	
-	/**
-	 * Unit property to count.
-	 */
-	public static final String UNIT_PROPERTY = PREFERENCES_PREFIX + "unit_property"; //$NON-NLS-1$
-	
-	/**
 	 * If true, the table computed from an Index will use all the occurrences from the corpus to add the #RESTE# line composed of the others words
 	 */
-	public static final String USE_ALL_OCCURRENCES = PREFERENCES_PREFIX + "use_all_occurrences"; //$NON-NLS-1$
+	public static final String USE_ALL_OCCURRENCES = "use_all_occurrences"; //$NON-NLS-1$
 	
 	@Override
 	public void initializeDefaultPreferences() {
Index: tmp/org.txm.links.rcp/src/org/txm/package.html
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/package.html	(revision 0)
+++ tmp/org.txm.links.rcp/src/org/txm/package.html	(revision 846)
@@ -0,0 +1,5 @@
+<html>
+<body>
+	<p>Commands which create link between 2 textometry function</p>
+</body>
+</html>
\ No newline at end of file

Property changes on: tmp/org.txm.links.rcp/src/org/txm/package.html
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/___ComputeIndexFromLines.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/___ComputeIndexFromLines.java	(revision 845)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/___ComputeIndexFromLines.java	(revision 846)
@@ -1,85 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate:$
-// $LastChangedRevision:$
-// $LastChangedBy:$ 
-//
-package org.txm.links.rcp;
-
-import org.eclipse.jface.action.Action;
-import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.jface.viewers.TableViewer;
-import org.eclipse.ui.IWorkbenchWindow;
-import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
-import org.txm.concordance.rcp.editors.ConcordanceEditor;
-import org.txm.rcp.commands.link.___ConcordanceToIndex;
-import org.txm.rcp.messages.TXMUIMessages;
-
-// TODO: Auto-generated Javadoc
-/**
- * use the line selection to compute an index.
- */
-public class ___ComputeIndexFromLines extends Action implements IWorkbenchAction {
-
-	/** The Constant ID. */
-	private static final String ID = "org.txm.rcp.editors.concordances.computecoocfromconclines"; //$NON-NLS-1$
-	
-	/** The window. */
-	private IWorkbenchWindow window;
-	
-	/** The concordance editor. */
-	private ConcordanceEditor concordanceEditor;
-
-	/**
-	 * Instantiates a new compute index from lines.
-	 *
-	 * @param window the window
-	 * @param concordanceEditor the concordance editor
-	 */
-	public ___ComputeIndexFromLines(IWorkbenchWindow window,
-			ConcordanceEditor concordanceEditor) {
-		this.window = window;
-		this.concordanceEditor = concordanceEditor;
-		setId(ID);
-		setText(TXMUIMessages.ComputeIndexFromLines_0);
-		setToolTipText(TXMUIMessages.ComputeIndexFromLines_0);
-	}
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.actions.ActionFactory.IWorkbenchAction#dispose()
-	 */
-	@Override
-	public void dispose() {
-	}
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.action.Action#run()
-	 */
-	@Override
-	public void run() {
-		TableViewer table = concordanceEditor.getLineTableViewer();
-		___ConcordanceToIndex.link(concordanceEditor,
-				(IStructuredSelection) table.getSelection());
-	}
-}
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/___LinkCommands.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/___LinkCommands.java	(revision 845)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/___LinkCommands.java	(revision 846)
@@ -1,32 +0,0 @@
-package org.txm.links.rcp;
-
-/**
- * Associations between link command types and RCP command ids.
- * @author sjacquot
- *
- */
-public enum ___LinkCommands {
-
-	SEND_TO_CONCORDANCE("org.txm.links.rcp.commands.SendToConcordance"),
-	SEND_TO_INDEX("org.txm.links.rcp.commands.SendToIndex"),
-	SEND_TO_COOCCURRENCE("org.txm.links.rcp.commands.SendToProgression"),
-	SEND_TO_PROGRESSIONE("org.txm.links.rcp.commands.SendToCooccurrence");
-
-	/**
-	 * Command id.
-	 */
-	final private String id;
-
-	/**
-	 * 
-	 * @param commandId
-	 */
-	private ___LinkCommands(String id) {
-		this.id = id;
-	}
-
-	@Override
-	public String toString(){
-	    return this.id;
-	 }
-}
Index: tmp/org.txm.links.rcp/plugin.xml
===================================================================
--- tmp/org.txm.links.rcp/plugin.xml	(revision 845)
+++ tmp/org.txm.links.rcp/plugin.xml	(revision 846)
@@ -2,26 +2,6 @@
 <?eclipse version="3.4"?>
 <plugin>
    <extension
-         id="links"
-         point="org.eclipse.ui.commands">
-           <command
-            categoryId="org.txm.synopticedition.rcp.category.txm"
-            defaultHandler="org.txm.synopticedition.rcp.commands.link.CooccurrencesToConcordances"
-            id="org.txm.synopticedition.rcp.commands.link.CooccurrencesToConcordances"
-            name="%command.label.102">
-      </command>
-      <command
-            defaultHandler="org.txm.synopticedition.rcp.commands.link.LexiconToIndex"
-            id="org.txm.synopticedition.rcp.commands.link.LexiconToIndex"
-            name="%command.label.128">
-      </command>
-            <command
-            defaultHandler="org.txm.synopticedition.rcp.commands.link.TextToConcordance"
-            id="org.txm.synopticedition.rcp.commands.link.TextToConcordance"
-            name="%command.name.96">
-      </command>
-   </extension>
-   <extension
          point="org.eclipse.ui.menus">
                <menuContribution
             locationURI="popup:org.txm.rcp.editors.TXMBrowser">
Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 845)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 846)
@@ -1,34 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;bundle-version="3.106.1";visibility:=re
- export,org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport,or
- g.txm.ahc.core;bundle-version="1.0.0";visibility:=reexport,org.txm.ch
- artsengine.core;bundle-version="1.0.0";visibility:=reexport,org.txm.c
- hartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexpo
- rt,org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=ree
- xport,org.txm.concordance.core;bundle-version="1.0.0";visibility:=ree
- xport,org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=re
- export,org.txm.groovy.core;bundle-version="1.0.0";visibility:=reexpor
- t,org.txm.index.core;bundle-version="1.0.0";visibility:=reexport,org.
- txm.lexicaltable.core;bundle-version="1.0.0";visibility:=reexport,org
- .txm.partition.core;bundle-version="1.0.0";visibility:=reexport,org.t
- xm.progression.core;bundle-version="1.0.0";visibility:=reexport,org.t
- xm.referencer.core;bundle-version="1.0.0";visibility:=reexport,org.tx
- m.searchengine.core;bundle-version="1.0.0";visibility:=reexport,org.t
- xm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
- org.txm.specificities.core;bundle-version="1.0.0";visibility:=reexpor
- t,org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexpor
- t,org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexpo
- rt,org.txm.cooccurrence.rcp;bundle-version="1.0.0";visibility:=reexpo
- rt,org.txm.internalview.rcp;bundle-version="1.0.0";visibility:=reexpo
- rt,org.txm.statsengine.r.rcp;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.index.rcp;visibility:=reexport,org.txm.progression.rcp;vi
- sibility:=reexport,org.txm.lexicaltable.rcp;visibility:=reexport,org.
- txm.libs.batik;visibility:=reexport,org.txm.edition.rcp;bundle
- -version="1.0.0";visibility:=reexport
-Export-Package: org.txm.links.rcp,
- org.txm.links.rcp.handlers,
- org.txm.rcp.commands.link
+Require-Bundle: org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
+ org.txm.rcp;bundle-version="0.8.0"
+Export-Package: org.txm.links.rcp.handlers
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Links RCP
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/DeleteLines.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/DeleteLines.java	(revision 845)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/DeleteLines.java	(revision 846)
@@ -53,8 +53,7 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
-				.getShell();
+		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 		// ISelection selection =
 		// HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getSelection();
 
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 845)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 846)
@@ -47,8 +47,8 @@
 	public String createQuery(ExecutionEvent event, IStructuredSelection selection) {
 		IEditionEditor editor = (IEditionEditor) this.getActiveEditor(event);
 		String query = ((IEditionEditor)editor).getTextSelection();
-		query = "\""+query.replaceAll("\"", "\\\"");//.replaceAll("("+TokenizerClasses.regPunct+")", " $1 ");
-		query = query.replaceAll(" +", "\" \"")+"\"";
+		query = "\"" + query.replaceAll("\"", "\\\"");//.replaceAll("("+TokenizerClasses.regPunct+")", " $1 ");
+		query = query.replaceAll(" +", "\" \"") + "\"";
 		return query;
 	}
 	
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/___TextToConcordance.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/___TextToConcordance.java	(revision 845)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/___TextToConcordance.java	(revision 846)
@@ -50,6 +50,7 @@
  * 
  * @author mdecorde.
  */
+@Deprecated
 public class ___TextToConcordance extends AbstractHandler {
 
 	/* (non-Javadoc)
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 845)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 846)
@@ -111,9 +111,15 @@
 	 */
 	public static final String STRUCTURAL_UNIT_PROPERTIES = "structural_unit_properties"; //$NON-NLS-1$
 	
+
+	/**
+	 * Unit property.
+	 */
+	public static final String UNIT_PROPERTY =  "unit_property"; //$NON-NLS-1$
+
 	
 	/**
-	 * Properties.
+	 * Unit properties.
 	 */
 	public static final String UNIT_PROPERTIES =  "unit_properties"; //$NON-NLS-1$
 
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 845)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 846)
@@ -20,46 +20,20 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ProgressionPreferences.class).getSymbolicName();
 
-	// FIXME: prefix becomes useless since the preferences files are split for each plug-in? that's also simplify the local preference node filling in "Send to" command 
-	// 
-	//public static final String PREFERENCES_PREFIX = "progression_"; //$NON-NLS-1$
-	public static final String PREFERENCES_PREFIX = ""; //$NON-NLS-1$
 
-//	/**
-//	 * Queries.
-//	 */
-//	public static final String QUERIES = PREFERENCES_PREFIX + "queries"; //$NON-NLS-1$
-//	
-//	/**
-//	 * Structural unit.
-//	 */
-//	public static final String STRUCTURAL_UNIT = PREFERENCES_PREFIX + "structural_unit"; //$NON-NLS-1$
-//	
-//	/***
-//	 * Structural unit property.
-//	 */
-//	public static final String STRUCTURAL_UNIT_PROPERTY = PREFERENCES_PREFIX + "structural_unit_property"; //$NON-NLS-1$
-
-	
 	/** The Constant REPEAT_VALUES. */
-	public static final String REPEAT_SAME_VALUES = PREFERENCES_PREFIX + "repeat_same_values"; //$NON-NLS-1$
+	public static final String REPEAT_SAME_VALUES = "repeat_same_values"; //$NON-NLS-1$
 
 	/** The Constant REPEAT_VALUES. */
-	public static final String PROPERTY_REGEX = PREFERENCES_PREFIX + "property_regex"; //$NON-NLS-1$
+	public static final String PROPERTY_REGEX = "property_regex"; //$NON-NLS-1$
 	
-
-	
-	
 	/** The Constant BANDE_MULTIPLIER. */
-	public static final String BANDE_MULTIPLIER = PREFERENCES_PREFIX + "bande_multiplier"; //$NON-NLS-1$
+	public static final String BANDE_MULTIPLIER = "bande_multiplier"; //$NON-NLS-1$
 	
-
-	
 	/** The Constant CUMULATIVE. */
-	public static final String CHART_CUMULATIVE = PREFERENCES_PREFIX + "cumulative_chart"; //$NON-NLS-1$
+	public static final String CHART_CUMULATIVE = "cumulative_chart"; //$NON-NLS-1$
 	
 	
-	
 	/**
 	 * 
 	 */
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 845)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 846)
@@ -42,6 +42,7 @@
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.r.core.themes.DefaultTheme;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.progression.core.messages.ProgressionCoreMessages;
@@ -117,19 +118,19 @@
 	/**
 	 * Queries.
 	 */
-	@Parameter(key=ProgressionPreferences.QUERIES)
+	@Parameter(key=TBXPreferences.QUERIES)
 	protected List<Query> queries;
 
 	/**
 	 * Structural unit.
 	 */
-	@Parameter(key=ProgressionPreferences.STRUCTURAL_UNIT)
+	@Parameter(key=TBXPreferences.STRUCTURAL_UNIT)
 	protected StructuralUnit structuralUnit;
 
 	/**
 	 * Structural unit property.
 	 */
-	@Parameter(key=ProgressionPreferences.STRUCTURAL_UNIT_PROPERTY)
+	@Parameter(key=TBXPreferences.STRUCTURAL_UNIT_PROPERTY)
 	protected StructuralUnitProperty structuralUnitProperty;
 
 	/**
@@ -166,15 +167,15 @@
 	
 	@Override
 	public boolean loadParameters() {
-		if(!this.getStringParameterValue(ProgressionPreferences.QUERIES).isEmpty())	{
-			this.queries = Query.stringToQueries(this.getStringParameterValue(ProgressionPreferences.QUERIES));
+		if(!this.getStringParameterValue(TBXPreferences.QUERIES).isEmpty())	{
+			this.queries = Query.stringToQueries(this.getStringParameterValue(TBXPreferences.QUERIES));
 		}
 		
-		if(!this.getStringParameterValue(ProgressionPreferences.STRUCTURAL_UNIT).isEmpty())	{
+		if(!this.getStringParameterValue(TBXPreferences.STRUCTURAL_UNIT).isEmpty())	{
 			try {
-				this.structuralUnit = this.getCorpus().getStructuralUnit(this.getStringParameterValue(ProgressionPreferences.STRUCTURAL_UNIT));
-				if(!this.getStringParameterValue(ProgressionPreferences.STRUCTURAL_UNIT_PROPERTY).isEmpty())	{
-					this.structuralUnitProperty = this.structuralUnit.getProperty(this.getStringParameterValue(ProgressionPreferences.STRUCTURAL_UNIT_PROPERTY));
+				this.structuralUnit = this.getCorpus().getStructuralUnit(this.getStringParameterValue(TBXPreferences.STRUCTURAL_UNIT));
+				if(!this.getStringParameterValue(TBXPreferences.STRUCTURAL_UNIT_PROPERTY).isEmpty())	{
+					this.structuralUnitProperty = this.structuralUnit.getProperty(this.getStringParameterValue(TBXPreferences.STRUCTURAL_UNIT_PROPERTY));
 				}
 			}
 			catch (CqiClientException e) {
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 845)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 846)
@@ -38,6 +38,7 @@
 import java.util.List;
 
 import org.rosuda.REngine.REXP;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -187,7 +188,7 @@
 	protected boolean _compute() throws Exception {
 		
 		// recompute the lexical table
-		if(this.hasParameterChanged(SpecificitiesPreferences.UNIT_PROPERTY))	{
+		if(this.hasParameterChanged(TBXPreferences.UNIT_PROPERTY))	{
 			this.lexicalTable.setUnitProperty(this.unitProperty);
 			this.lexicalTable.compute(this, false);
 		}
